<script>
import config from "../../config";
import Layout from "../../layouts/main";
// import PageHeader from "../../components/page-header";
import CustomerProfile from "./customer-profile.vue";
// import CustomerOrder from "./customer-order";
import { CustomerService } from "../../services";
import { debounce, order_statuses } from '../../Helper/helper';
import DateRangePicker from "vue2-daterange-picker";
// import OrderList from "../orders/order_tabs/order-list";
import pagination from "laravel-vue-pagination";
import "vue2-daterange-picker/dist/vue2-daterange-picker.css";
import DriverOrder from '../../views/driver/pages/driver-order.vue'
import ChangePassword from "./change-password.vue";
import WalletHistory from './wallet/history.vue';
/**
 * Products-order component
 */
export default {
  props:['user_id'],
  components: { Layout, CustomerProfile , DateRangePicker, pagination,DriverOrder, ChangePassword, WalletHistory},
  data() {
    return {
      config:config,
      customers: [],
      statuses: order_statuses,
      loading: false,
      step:0,
      debounce,
    };
  },
  mounted() {
    this.getCustomerProfile();
  },
  methods: {
    getCustomerProfile() {
      CustomerService
        .getCustomerProfile({
          user_id: this.$route.params.user_id,
        })
        .then((response) => {
          this.customers = response.data.result; 
          // this.user_id = this.$route.params.user_id;
        });
    },
  },
   filters: {
    date(val) {
      return val ? val.toLocaleString() : "";
    },
  },
};
</script>

<template>
  <Layout>
    <div class="row header-new">
      <div class="col-12">
        <div
          class="d-flex align-items-center justify-content-between icon-main-page"
        >
          <div class="page-title-left avatar-main-icon">
            <div class="avatar-xs mr-3">
              <span class="avatar-title rounded-circle bg-soft-primary text-primary font-size-18">
                <i class="bx bx-user"></i>
              </span>
            </div>
            <div class="report-tag">
              <h4 class="mb-0 font-size-18">{{ customers.user_name }} {{ customers.last_name }}</h4>
              <p class="m-0">
                <router-link :to="{ name: 'customer-list'}">{{ trans.get('__JSON__.Customer') }}</router-link>
                > {{ customers.user_name }} {{ customers.last_name }}
              </p>
            </div>
          </div>
          <div class="page-title-right" v-if="customers.referral_code">
            <h6 class="mb-0">{{ trans.get('__JSON__.Referral Code') }}</h6>
            <p class="text-center">{{ customers.referral_code }}</p>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12">
        <div class="card">
          <div class="card-body">
              <b-tabs v-model="step" justified nav-class="nav-tabs-custom" content-class="p-3 text-muted">
                <b-tab>
                   <template v-slot:title>
                    <span class="d-inline-block d-sm-none">
                      <i class="fas fa-user"></i>
                    </span>
                    <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Profile') }}</span>
                  </template>
                  <CustomerProfile v-if="step == 0"/>
                </b-tab>
                <b-tab :button-id="statuses.delivered" >
                  <template v-slot:title>
                    <span class="d-inline-block d-sm-none">
                      <i class="fas fa-clock"></i>
                    </span>
                    <span class="d-none d-sm-inline-block">{{
                      trans.get("__JSON__.Delivered")
                    }}</span>
                  </template>
                  <!-- code now -->
                  <DriverOrder v-if="step == 1" :customer_id="$route.params.user_id" :status="statuses.delivered" />
                </b-tab>
                <b-tab :button-id="statuses.cancelled" >
                  <template v-slot:title>
                     <span class="d-inline-block d-sm-none">
                      <i class="fas fa-times-circle"></i>
                    </span>
                    <span class="d-none d-sm-inline-block">{{
                      trans.get("__JSON__.Cancelled")
                    }}</span>
                  </template>
                  <!-- code now -->
                  <DriverOrder v-if="step == 2" :customer_id="$route.params.user_id" :status="statuses.cancelled" />
                </b-tab>
                <b-tab v-if="$auth.hasPermission(config.permissions.customer_write)">
                   <template v-slot:title>
                    <span class="d-inline-block d-sm-none">
                      <i class="fas fa-lock"></i>
                    </span>
                    <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Change Password') }}</span>
                  </template>
                  <ChangePassword v-if="!!customers && step == 3" :cust_data="customers"/>
                </b-tab>
                <!-- v-if="$auth.isWalletActive()" -->
                <b-tab v-if="$auth.walletActive()">
                   <template v-slot:title>
                    <span class="d-inline-block d-sm-none">
                      <i class="fas fa-wallet"></i>
                    </span>
                    <span class="d-none d-sm-inline-block">{{ trans.get('__JSON__.Wallet History') }}</span>
                  </template>
                  <WalletHistory v-if="step == 4" :customer_id="$route.params.user_id" :wallet_status="customers.wallet_status" />
                </b-tab>
              </b-tabs>
          </div>
        </div>
      </div>
    </div>
  </Layout>
</template>


<style>
.customer .nav-item{
  flex:unset;
}
</style>